Debian Emacs Devel Commit: r77 - in emacs21/pkg/trunk/debian: . patches
Jerome Marant
jerome@haydn.debian.org
Sun, 06 Jun 2004 01:54:22 -0600
Author: jerome
Date: 2004-06-06 01:54:19 -0600 (Sun, 06 Jun 2004)
New Revision: 77
Added:
emacs21/pkg/trunk/debian/patches/startup-auto-save-file-name-transforms.dpatch
Modified:
emacs21/pkg/trunk/debian/changelog
emacs21/pkg/trunk/debian/patches/00list
Log:
Fixed bogus value of auto-save-file-name-transforms (#160615)
Modified: emacs21/pkg/trunk/debian/changelog
===================================================================
--- emacs21/pkg/trunk/debian/changelog 2004-05-15 11:05:35 UTC (rev 76)
+++ emacs21/pkg/trunk/debian/changelog 2004-06-06 07:54:19 UTC (rev 77)
@@ -17,7 +17,13 @@
* Fixed installation of .desktop entry. [Jérôme Marant]
- debian/build-binary-pkg: fixed typo.
- --
+ * Set value of the auto-save-file-name-transforms variable at run-time
+ in order to override its build-time value.
+ (closes: #160615, #241826, #250676) [Jérôme Marant]
+ - debian/patches/startup-auto-save-file-name-transforms.dpatch: new file.
+ - debian/patches/00list: updated.
+
+ -- Jerome Marant <jerome@debian.org> Sat, 5 Jun 2004 15:13:44 +0200
emacs21 (21.3+1-5) unstable; urgency=low
Modified: emacs21/pkg/trunk/debian/patches/00list
===================================================================
--- emacs21/pkg/trunk/debian/patches/00list 2004-05-15 11:05:35 UTC (rev 76)
+++ emacs21/pkg/trunk/debian/patches/00list 2004-06-06 07:54:19 UTC (rev 77)
@@ -13,4 +13,5 @@
scroll-margin
save-buffer
emacsclient-alternate-editor
+startup-auto-save-file-name-transforms
fix-x-vs-no-x-diffs
Added: emacs21/pkg/trunk/debian/patches/startup-auto-save-file-name-transforms.dpatch
===================================================================
--- emacs21/pkg/trunk/debian/patches/startup-auto-save-file-name-transforms.dpatch 2004-05-15 11:05:35 UTC (rev 76)
+++ emacs21/pkg/trunk/debian/patches/startup-auto-save-file-name-transforms.dpatch 2004-06-06 07:54:19 UTC (rev 77)
@@ -0,0 +1,44 @@
+#! /bin/sh -e
+## startup-auto-save-file-name-transforms.dpatch by Jerome Marant <jerome@debian.org>
+##
+## DP: ** Set the value of the auto-save-file-name-transforms variable at
+## DP: run-time in order to override the one which is autogenerated at
+## DP: build-time.
+## DP: Status: has been fixed upstream
+## DP: Date: Sat, 5 Jun 2004 20:10:50 +0200
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/jerome/pkg/emacs21/svn/emacs21/lisp/startup.el emacs21/lisp/startup.el
+--- /home/jerome/pkg/emacs21/svn/emacs21/lisp/startup.el 2003-10-01 20:01:28.000000000 +0200
++++ emacs21/lisp/startup.el 2004-06-05 15:24:51.000000000 +0200
+@@ -629,6 +629,12 @@
+ (setq small-temporary-file-directory
+ (if (eq system-type 'ms-dos)
+ (getenv "TMPDIR")))
++ (setq auto-save-file-name-transforms
++ (list (list "\\`/[^/]*:\\(.+/\\)*\\(.*\\)"
++ ;; Don't put "\\2" inside expand-file-name, since
++ ;; it will be transformed to "/2" on DOS/Windows.
++ (concat (expand-file-name temporary-file-directory)
++ "\\2"))))
+
+ ;; See if we should import version-control from the environment variable.
+ (let ((vc (getenv "VERSION_CONTROL")))
Property changes on: emacs21/pkg/trunk/debian/patches/startup-auto-save-file-name-transforms.dpatch
___________________________________________________________________
Name: svn:executable
+ *